robertjam1090 Apr 15, 2013 @ 1:03pm
Shader model 3.0
i keep getting error could not init 3d system shader model 3.0 is req. please install latest video drivers i have updated my drivers but still keep getting error. i have also trade using swift shader3.0 to over come graphics issues but still not joy any help?
Thanks
Showing 1-7 of 7 comments
< >
lauristpeter Apr 15, 2013 @ 3:27pm 
Need the same info
black_wizard78 Apr 15, 2013 @ 7:56pm 
I have also ran into the same issue but with my laptop. I looked it up on the internet and found that my video graphics are not up to snuff as they are intergrated graphics (on the motherboard). I use my desktop computer with a Nvidia GeForce 240GT because I like to play high graphic games. You might have to look for an upgrade for your computer. The latest graphics cards to have the Shader model 3.0 or higher. I hope this helps.
robertjam1090 Apr 16, 2013 @ 10:35am 
yea thanks for help :-)
Dellyrulez Apr 16, 2013 @ 1:37pm 
I have the same problem, i may try on my desktop i a mo
rabid07 Apr 16, 2013 @ 2:44pm 
havent seen it but maybe make sure all mb and graphics drivers are up to date?
Dellyrulez Apr 17, 2013 @ 2:04pm 
It says to install Graphic drivers but from where! I dont want to download a virus and I wont to get the correct one
abeyance !!! Apr 17, 2013 @ 2:23pm 
Shader Models are components used to help render graphics sent from the CPU to the graphic card. The version of shader model your computer can support is based in the combination between your DirectX version and the version your graphics card can support.

It is important to always have your DirectX updated to the latest version you can do so by clicking on the DirectX link at the bottom !!!

Please note DirectX versions prior to DirectX 8.0 do not support shader models
• DirectX 8.0 - Shader Model 1.0 & 1.1
• DirectX 8.0a - Shader Model 1.3
• DirectX 8.1 - Shader Model 1.4
• DirectX 9.0 - Shader Model 2.0
• DirectX 9.0a - Shader Model 2.0a
• DirectX 9.0b - Shader Model 2.0b
• DirectX 9.0c - Shader Model 3.0
• DirectX 10.0* - Shader Model 4.0
• DirectX 10.1* - Shader Model 4.1
• DirectX 11.0* - Shader Model 5.0
*DirectX 10.0 and higher will not run in Windows XP

Please remember that your version of Shader Model doesn't just rely on DirectX, but also the hardware version of your graphics card. So if your graphics card only supports up to version 2.0, and you have DirectX 10.0 installed. You can still only play games that support up to Shader Model 2.0

The best way to tell which version of Shader Model is supported on your graphics card is to visit the manufacturer's website and inspect the specifications of your card. If you still have to box the card came in, it may also say on the back of the box.

Farming Simulator 2013 has a minimum requirement of Shader Model 3.0, so if you do not meet that requirement you will get the error message "ERROR: Does not support Shader Model 3.0".

If you are getting this error, then please update your DirectX, Graphics and .NET Frameworks. If you have the latest version of DirectX and all drivers and frameworks are in order then unfortunately you do not meet the minimum requirements to play Farming Simulator 2013.

Intel(HD) Graphics Drivers : https://downloadcenter.intel.com/SearchResult.aspx?lang=eng&ProductFamily=Graphics&ProductLine=Laptop+graphics+drivers&ProductProduct=2nd+Generation+Intel%c2%ae+Core%e2%84%a2+Processors+with+Intel%c2%ae+HD+Graphics+3000%2f2000

nVidia Graphics Drivers : http://www.nvidia.com/Download/index.aspx?lang=en-us

Ati Graphics Drivers : http://support.amd.com/us/gpudownload/Pages/index.aspx

DirectX Download : http://www.microsoft.com/en-us/download/details.aspx?id=35

.Net Framework 4.0 Download : http://www.microsoft.com/en-ie/download/details.aspx?id=17851 .... ( If version 4.0 doesnt work try downloading version 3.5 from the same site )

Hopefully this info will help some of you :( GL
Last edited by abeyance !!!; Apr 17, 2013 @ 2:24pm
Showing 1-7 of 7 comments
< >
Per page: 15 30 50
Date Posted: Apr 15, 2013 @ 1:03pm
Posts: 7